general / macosx.md

Edit on Github

FluffOS 3.0 fully support compiling under MAC OSX.

On 2017-09, following is tested to be working.

OSx 10.11 and above is required. Homebrew must be installed. (Link)

Installing homebrew will also install xcode command line tools, if you meet any problems, run homebrew doctor.

These packages must be installed through brew install: autoconf automake git libevent openssl pcre

NOTE: jemalloc is disabled on osx.